## kscreenlocker 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kscreenlocker)
set(CMAKE_C_STANDARD 99)
set(PROJECT_VERSION "6.4.5")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CheckIncludeFiles)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

include(CheckIncludeFile)
include(CheckSymbolExists)
check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif ()
add_feature_info("prctl/procctl tracing control"
                 CAN_DISABLE_PTRACE
                 "Required for disallowing ptrace on greeter and kcheckpass process")

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick Test)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    KCMUtils
    KIO
    GlobalAccel
    I18n
    IdleTime
    Notifications
    Solid
    WindowSystem
    XmlGui
    Svg
)

find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace")

find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")

find_package(WaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)
find_package(LayerShellQt REQUIRED)
find_package(KF6Screen REQUIRED)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")

find_package(loginctl)
set_package_properties(loginctl PROPERTIES
    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
    DESCRIPTION "Send control commands to the login manager"
    TYPE RUNTIME
)
set(HAVE_LOGINCTL ${loginctl_FOUND})

if (NOT HAVE_LOGINCTL)
    find_package(ConsoleKit)
    set_package_properties(ConsoleKit PROPERTIES
        URL "https://github.com/ConsoleKit2/ConsoleKit2"
        DESCRIPTION "Framework for tracking user login sessions"
        TYPE RECOMMENDED
    )
    set(HAVE_CONSOLEKIT ${ConsoleKit_FOUND})
endif ()

if (HAVE_LOGINCTL OR HAVE_CONSOLEKIT)
    set(HAVE_UNLOCK_CAPABILITY TRUE)
endif ()

add_feature_info("Unlock broken screenlocker"
                 HAVE_UNLOCK_CAPABILITY
                 "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl or consolekit please contact plasma-devel@kde.org to discuss alternatives.")

find_package(PAM REQUIRED)
set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"
                       URL "https://www.kernel.org/pub/linux/libs/pam/"
                       TYPE REQUIRED
                       PURPOSE "Required for screen unlocking"
                      )
macro(define_pam_service APP)
    string(TOUPPER ${APP}_PAM_SERVICE var)
    set(cvar ${var})
    set(${cvar} "kde" CACHE STRING "The PAM service to use for ${APP}.")
    mark_as_advanced(${cvar})
    set(${var} "\"${${cvar}}\"")
    message(STATUS "The PAM service used by ${APP} will be ${${var}}")
endmacro(define_pam_service)

define_pam_service(KScreenLocker)

set(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)

configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )

if (HAVE_CONSOLEKIT)
    configure_file(ck-unlock-session.cmake ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session)
endif ()

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREENLOCKER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreenlocker_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
    SOVERSION 5
)

configure_file(config-kscreenlocker.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kscreenlocker.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(KSLD_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KScreenLocker")

include(ECMQtDeclareLoggingCategory)

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.10.0
)

add_subdirectory(greeter)
add_subdirectory(kcm)
add_subdirectory(settings)

add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")

set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
set(powerdevilpolicyagent_xml dbus/kf6_org.kde.Solid.PowerManagement.PolicyAgent.xml)

set(ksld_SRCS
   abstractlocker.cpp
   ksldapp.cpp
   interface.cpp
   globalaccel.cpp
   x11locker.cpp
   waylandlocker.cpp
   logind.cpp
   waylandserver.cpp
   powermanagement_inhibition.cpp
   abstractlocker.h
   ksldapp.h
   interface.h
   globalaccel.h
   x11locker.h
   waylandlocker.h
   logind.h
   waylandserver.h
   powermanagement_inhibition.h
)

ecm_qt_declare_logging_category(ksld_SRCS
    HEADER kscreenlocker_logging.h
    IDENTIFIER KSCREENLOCKER
    CATEGORY_NAME kscreenlocker
    DEFAULT_SEVERITY Critical
    DESCRIPTION "KScreenLocker"
    EXPORT KSCREENLOCKER
)

qt_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
qt_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
qt_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)

ecm_add_wayland_server_protocol(ksld_SRCS
    PROTOCOL protocols/ksld.xml
    BASENAME ksld
)

add_library(KScreenLocker SHARED ${ksld_SRCS})

target_link_libraries(KScreenLocker
PUBLIC
   Qt::Core
PRIVATE
   settings
   Qt::DBus
   KF6::I18n
   KF6::IdleTime
   KF6::GlobalAccel
   KF6::Notifications
   KF6::CoreAddons
   KF6::ConfigGui
   KF6::Package
   KF6::WindowSystem
   X11::X11
   XCB::XCB
   XCB::KEYSYMS
   Wayland::Server
)

set(kscreenlocker_greet_bin_abs ${CMAKE_INSTALL_FULL_LIBEXECDIR}/kscreenlocker_greet)
# The file path of kscreenlocker_greet must be relative to the KScreenLocker library.
file(RELATIVE_PATH kscreenlocker_greet_bin_rel ${CMAKE_INSTALL_FULL_LIBDIR} ${kscreenlocker_greet_bin_abs})
target_compile_definitions(KScreenLocker PRIVATE
    KSCREENLOCKER_GREET_BIN_ABS="${kscreenlocker_greet_bin_abs}"
    KSCREENLOCKER_GREET_BIN_REL="${kscreenlocker_greet_bin_rel}"
)

if (X11_Xinput_FOUND)
    target_link_libraries(KScreenLocker PRIVATE X11::Xi)
endif()

target_include_directories(KScreenLocker INTERFACE "$<INSTALL_INTERFACE:${KSLD_INCLUDEDIR}>")

# Needed to compile on Arm target.
set_target_properties(KScreenLocker PROPERTIES COMPILE_FLAGS "-fPIC")

add_library(PW::KScreenLocker ALIAS KScreenLocker)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

generate_export_header(KScreenLocker
    BASE_NAME KScreenLocker
    EXPORT_MACRO_NAME KSCREENLOCKER_EXPORT
    EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
)

configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

set_target_properties(KScreenLocker PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker")

if (HAVE_CONSOLEKIT)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session DESTINATION ${KDE_INSTALL_BINDIR})
endif ()

install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
install(EXPORT KScreenLockerTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)

ecm_generate_headers(KScreenLocker_CamelCase_HEADERS
    HEADER_NAMES
        KsldApp
    REQUIRED_HEADERS KScreenLocker_HEADERS)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/KScreenLocker/kscreenlocker_export.h
        ${KScreenLocker_CamelCase_HEADERS}
        ${KScreenLocker_HEADERS}
    DESTINATION
        ${KSLD_INCLUDEDIR}/KScreenLocker
    COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
			  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
		DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker"
		COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT KSCREENLOCKER
    FILE kscreenlocker.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

install(FILES kscreenlocker.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} RENAME ksmserver.notifyrc)
install(FILES ${screensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf6_org.freedesktop.ScreenSaver.xml)

install(FILES ${kscreensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

#######################################
# LogindTest
#######################################
set(logindTest_SRCS
    logindtest.cpp
    fakelogind.cpp
    ../logind.cpp
    ../kscreenlocker_logging.cpp
)

add_executable(logindTest ${logindTest_SRCS})
target_link_libraries(logindTest Qt::DBus Qt::Test KF6::I18n)
add_test(NAME ksmserver-logindTest COMMAND logindTest)
ecm_mark_as_test(logindTest)

#######################################
# PamTest
#######################################

pkg_search_module(PamWrapper pam_wrapper)
# We're turning it off on the CI until pam_wrapper 1.15 is available on our image (which adds sanitizer support.)
# see https://invent.kde.org/plasma/kscreenlocker/-/issues/11 for more details
if (PamWrapper_FOUND AND NOT "$ENV{KDECI_BUILD}" STREQUAL "TRUE")
    pkg_get_variable(PamWrapperModuleDir pam_wrapper "modules")
    configure_file(data/test_service.in ./test_service)
    add_executable(pamTest pamtest.cpp)
    target_link_libraries(pamTest Qt::Test kscreenlocker_authenticator)
    add_test(NAME ksmserver-pamTest COMMAND pamTest)
    # they made a mistake in the env name, so set both old and new
    set_tests_properties(ksmserver-pamTest PROPERTIES ENVIRONMENT "UID_WRAPPER_DISABLE_DEEPBIND=1;PAM_WRAPPER_DISABLE_DEEPBIND=1")
    ecm_mark_as_test(pamTest)
    set_property(TEST ksmserver-pamTest
            PROPERTY
            ENVIRONMENT "LD_PRELOAD=libpam_wrapper.so;ASAN_OPTIONS=verify_asan_link_order=0")
endif()

#######################################
# KSldTest
#######################################
add_executable(ksldTest ksldtest.cpp)
target_link_libraries(ksldTest
    Qt::GuiPrivate
    Qt::Test
    Qt::Widgets
    KF6::IdleTime
    KF6::WindowSystem
    XCB::XTEST
    settings
    KScreenLocker
)
add_test(NAME ksmserver-ksldTest COMMAND ksldTest)
ecm_mark_as_test(ksldTest)

#######################################
# KeyboardGrabber
#######################################
add_executable(keyboardGrabber keyboardgrabber.cpp)
target_link_libraries(keyboardGrabber Qt::Core XCB::XCB)
ecm_mark_as_test(keyboardGrabber)

#######################################
# PointerGrabber
#######################################
add_executable(pointerGrabber pointergrabber.cpp)
target_link_libraries(pointerGrabber Qt::Core XCB::XCB)
ecm_mark_as_test(pointerGrabber)

#######################################
# LockWindowTest
#######################################
set(x11LockerTest_SRCS
    x11lockertest.cpp
    ../x11locker.cpp
    ../globalaccel.cpp
    ../abstractlocker.cpp
    ../kscreenlocker_logging.cpp
)

add_executable(x11LockerTest ${x11LockerTest_SRCS})
target_link_libraries(x11LockerTest
    KF6::GlobalAccel
    KF6::I18n
    KF6::WindowSystem
    Qt::Test
    Qt::Widgets
    X11::X11
    XCB::XCB
    XCB::KEYSYMS
)

target_link_libraries(x11LockerTest Qt::GuiPrivate)

add_test(NAME ksmserver-x11LockerTest COMMAND x11LockerTest)
ecm_mark_as_test(x11LockerTest)

=== greeter/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker_greet\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../
)

set(kscreenlocker_authenticator_SRCS
    pamauthenticators.cpp
    pamauthenticators.h
    pamauthenticator.cpp
    pamauthenticator.h
)

ecm_qt_declare_logging_category(kscreenlocker_authenticator_SRCS
    HEADER kscreenlocker_greet_logging.h
    IDENTIFIER KSCREENLOCKER_GREET
    CATEGORY_NAME kscreenlocker_greet
    DEFAULT_SEVERITY Info
    DESCRIPTION "KScreenLocker (greeter)"
    EXPORT KSCREENLOCKER
)

set(kscreenlocker_greet_SRCS
   greeterapp.cpp
   main.cpp
   powermanagement.cpp
   noaccessnetworkaccessmanagerfactory.cpp
   greeterapp.h
   powermanagement.h
   noaccessnetworkaccessmanagerfactory.h
)

add_library(kscreenlocker_authenticator OBJECT ${kscreenlocker_authenticator_SRCS})
target_link_libraries(kscreenlocker_authenticator
    Qt::Core
    ${PAM_LIBRARIES}
)

qt_add_resources(kscreenlocker_greet_SRCS fallbacktheme.qrc)

ecm_add_wayland_client_protocol(kscreenlocker_greet_SRCS
    PROTOCOL ../protocols/ksld.xml
    BASENAME ksld
)

add_executable(kscreenlocker_greet ${kscreenlocker_greet_SRCS})

target_link_libraries(kscreenlocker_greet
    settings
    kscreenlocker_authenticator
    KF6::Package
    KF6::Crash
    KF6::I18n
    KF6::ConfigGui
    KF6::KIOCore
    KF6::WindowSystem
    KF6::I18nQml
    Plasma::PlasmaQuick
    Qt::Quick
    Qt::Qml
    X11::X11
    Wayland::Client
    LayerShellQt::Interface
    KF6::ScreenDpms
)

# KSCREENLOCKER_PAM_SERVICE, if defined, will already have been
# enclosed in double quotes by the define_pam_service macro.
if (NOT DEFINED KSCREENLOCKER_PAM_PASSWORD_SERVICE)
  set(KSCREENLOCKER_PAM_PASSWORD_SERVICE "\"kde\"")
endif()

if (NOT DEFINED KSCREENLOCKER_PAM_FINGERPRINT_SERVICE)
  set(KSCREENLOCKER_PAM_FINGERPRINT_SERVICE "\"kde-fingerprint\"")
endif()

if (NOT DEFINED KSCREENLOCKER_PAM_SMARTCARD_SERVICE)
  set(KSCREENLOCKER_PAM_SMARTCARD_SERVICE "\"kde-smartcard\"")
endif()

target_compile_definitions(kscreenlocker_greet PRIVATE
    KCHECKPASS_BIN="kcheckpass"
    KSCREENLOCKER_PAM_SERVICE=${KSCREENLOCKER_PAM_SERVICE}
    KSCREENLOCKER_PAM_FINGERPRINT_SERVICE=${KSCREENLOCKER_PAM_FINGERPRINT_SERVICE}
    KSCREENLOCKER_PAM_SMARTCARD_SERVICE=${KSCREENLOCKER_PAM_SMARTCARD_SERVICE}
)

install(TARGETS kscreenlocker_greet DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(DIRECTORY themes/org.kde.passworddialog DESTINATION ${KDE_INSTALL_DATADIR}/ksmserver/screenlocker)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kscreenlocker (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:42 +0100

kscreenlocker (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:31 +0100

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6crash-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6idletime-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkscreen-dev (>= 4:6.4.5~),
               liblayershellqtinterface-dev (>= 6.4.5~),
               libpam0g-dev,
               libplasma-dev (>= 6.4.5~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Rules-Requires-Root: no

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker6 (= ${binary:Version}),
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the KCM settings module for kscreenlocker.

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker6 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker6
Architecture: any
Multi-Arch: same
Pre-Depends: psmisc,
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kde-config-screenlocker,
Suggests: libpam-fprintd,
          libpam-kwallet5,
          libpam-sss,
          libpam-pkcs11,
Breaks: libkscreenlocker5,
Replaces: libkscreenlocker5,
Description: Secure lock screen architecture
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the library files for kscreenlocker.

## kscreenlocker 6.4.5+p24.04+vstable+git20251019.0255

=== debian/changelog ===
kscreenlocker (6.4.5+p24.04+vstable+git20251019.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:55:55 +0000

kscreenlocker (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:54:58 +0000

## kscreenlocker 6.4.5+p24.04+vstable+git20251020.0059

=== debian/changelog ===
kscreenlocker (6.4.5+p24.04+vstable+git20251020.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:59:43 +0000

## kscreenlocker 6.4.5+p24.04+vunstable+git20251020.1147

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.80")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.90")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -150,8 +150,8 @@
 
 include(ECMQtDeclareLoggingCategory)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.10.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 add_subdirectory(greeter)

=== greeter/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

#######################################
# KillTest
#######################################
add_executable(killTest killtest.cpp)
target_compile_definitions(killTest PRIVATE KSCREENLOCKER_GREET_BIN_REL="kscreenlocker_greet")
add_test(NAME kscreenlocker-killTest COMMAND killTest)

# We want ASAN to step out of our way, we need to handle these kill types
if (DEFINED ECM_ENABLE_SANITIZERS OR "$ENV{KDECI_BUILD}" STREQUAL "TRUE")
    set_tests_properties(kscreenlocker-killTest PROPERTIES ENVIRONMENT "ASAN_OPTIONS=handle_segv=0,poison_heap=0,handle_sigbus=0,handle_sigill=0,handle_sigfpe=0")
endif()

ecm_mark_as_test(killTest)
target_link_libraries(killTest KF6::CoreAddons Qt::Test)

=== debian/changelog ===
kscreenlocker (6.4.5+p24.04+vunstable+git20251020.1147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:47:36 +0000

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-ksvg-dev,
               kf6-ktextwidgets-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kwayland-dev,
               libkf6screen-dev,
               liblayershellqtinterface-dev,
               libpam0g-dev,
               libplasma-dev,
               libseccomp-dev,
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Git: https://invent.kde.org/neon/kde/kscreenlocker.git
Vcs-Browser: https://invent.kde.org/neon/kde/kscreenlocker
Maintainer: Neon CI <neon@kde.org>

Package: kscreenlocker
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcmutils,
         kf6-kdeclarative,
         kf6-kirigami2,
         psmisc,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpam-fprintd, libpam-pkcs11, libpam-sss, systemsettings
Provides: kde-config-screenlocker, libkscreenlocker5, libkscreenlocker6
Replaces: kde-config-screenlocker, libkscreenlocker5, libkscreenlocker6
Description: Library and runtime files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains the required files for kscreenlocker.

Package: kscreenlocker-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kscreenlocker, qt6-base-dev, ${misc:Depends}
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: kde-config-screenlocker
Architecture: all
Depends: kscreenlocker, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkscreenlocker6
Architecture: all
Depends: kscreenlocker, ${misc:Depends}
Replaces: libkscreenlocker5
Description: Dummy transitional
 Transitional dummy package.

Package: libkscreenlocker5
Architecture: all
Depends: libkscreenlocker6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         kded5,
         libkf5service-bin,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

## kscreenlocker 6.4.91

=== debian/changelog ===
kscreenlocker (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable build-time tests.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Disable build-time tests until we have an installable plasma-
    workspace at this stage again.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:14:49 +0200

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6crash-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkscreen-dev (>= 4:6.4.91~),
               liblayershellqtinterface-dev (>= 6.4.91~),
               libpam0g-dev,
               libplasma-dev (>= 6.4.91~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkgconf,
#               plasma-workspace <!nocheck>,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kscreenlocker
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
Rules-Requires-Root: no

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker6 (= ${binary:Version}),
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the KCM settings module for kscreenlocker.

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker6 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker6
Architecture: any
Multi-Arch: same
Pre-Depends: psmisc,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-screenlocker,
Suggests: libpam-fprintd,
          libpam-kwallet5,
          libpam-pkcs11,
          libpam-sss,
Breaks: libkscreenlocker5,
Replaces: libkscreenlocker5,
Description: Secure lock screen architecture
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the library files for kscreenlocker.

## kscreenlocker 6.5.0

=== debian/changelog ===
kscreenlocker (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
                libpam0g-dev,
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -34,7 +34,6 @@
                libxcursor-dev,
                libxi-dev,
                pkgconf,
-#               plasma-workspace <!nocheck>,
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
@@ -44,7 +43,6 @@
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
-Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
 Architecture: any

## kscreenlocker 6.5.0+p24.04+vstable+git20251021.0904

=== debian/changelog ===
kscreenlocker (6.5.0+p24.04+vstable+git20251021.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:04:29 +0000

kscreenlocker (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## kscreenlocker 6.5.0+p24.04+vstable+git20251028.1236

=== debian/changelog ===
kscreenlocker (6.5.0+p24.04+vstable+git20251028.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:36:57 +0000

## kscreenlocker 6.5.0+p24.04+vunstable+git20251021.0803

=== debian/changelog ===
kscreenlocker (6.5.0+p24.04+vunstable+git20251021.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:03:10 +0000

## kscreenlocker 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.1")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== tests/CMakeLists.txt ===
add_executable(kscreenlocker_test kscreenlocker_main.cpp)
target_link_libraries(kscreenlocker_test KScreenLocker Qt::Gui KF6::I18n)
ecm_mark_as_test(kscreenlocker_test)

add_executable(powermanagement_test powermanagementtest.cpp ../greeter/powermanagement.cpp)
target_compile_definitions(powermanagement_test PRIVATE -DQML_PATH="${CMAKE_CURRENT_SOURCE_DIR}/powermanagement.qml")
target_link_libraries(powermanagement_test Qt::Gui Qt::DBus Qt::Quick)
ecm_mark_as_test(powermanagement_test)

add_executable(kcheckpass_test kcheckpass_test.cpp)
target_compile_definitions(kcheckpass_test PRIVATE -DQML_FILE="${CMAKE_CURRENT_SOURCE_DIR}/kcheckpass_test.qml")
target_link_libraries(kcheckpass_test kscreenlocker_authenticator KF6::CoreAddons Qt::Gui Qt::Quick)
ecm_mark_as_test(kcheckpass_test)

=== debian/changelog ===
kscreenlocker (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:11 +0000

kscreenlocker (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6crash-dev (>= 6.18.0~),
@@ -22,10 +22,10 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.4.91~),
-               liblayershellqtinterface-dev (>= 6.4.91~),
+               libkscreen-dev (>= 4:6.5.1~),
+               liblayershellqtinterface-dev (>= 6.5.1~),
                libpam0g-dev,
-               libplasma-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,14 +35,12 @@
                libxi-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
 Architecture: any
@@ -90,13 +88,12 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: psmisc,
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: kde-config-screenlocker,
 Suggests: libpam-fprintd,
           libpam-kwallet5,
+          libpam-sss,
           libpam-pkcs11,
-          libpam-sss,
 Breaks: libkscreenlocker5,
 Replaces: libkscreenlocker5,
 Description: Secure lock screen architecture

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kscreenlocker 6.5.1+p24.04+vstable+git20251029.0653

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(PROJECT_DEP_VERSION "6.5.1")

=== debian/changelog ===
kscreenlocker (6.5.1+p24.04+vstable+git20251029.0653-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:53:28 +0000

kscreenlocker (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:45:31 +0000

## kscreenlocker 6.5.1+p24.04+vstable+git20251031.0906

=== debian/changelog ===
kscreenlocker (6.5.1+p24.04+vstable+git20251031.0906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:06:31 +0000

## kscreenlocker 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kscreenlocker (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:47 +0100

kscreenlocker (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6crash-dev (>= 6.18.0~),
@@ -22,10 +22,10 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.5.1~),
-               liblayershellqtinterface-dev (>= 6.5.1~),
+               libkscreen-dev (>= 4:6.4.91~),
+               liblayershellqtinterface-dev (>= 6.4.91~),
                libpam0g-dev,
-               libplasma-dev (>= 6.5.1~),
+               libplasma-dev (>= 6.5.2~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,12 +35,14 @@
                libxi-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
 
 Package: kde-config-screenlocker
 Architecture: any
@@ -88,12 +90,13 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: psmisc,
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: kde-config-screenlocker,
 Suggests: libpam-fprintd,
           libpam-kwallet5,
+          libpam-pkcs11,
           libpam-sss,
-          libpam-pkcs11,
 Breaks: libkscreenlocker5,
 Replaces: libkscreenlocker5,
 Description: Secure lock screen architecture

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 	dh $@
 
 override_dh_auto_test:
-	# Disable dh_auto_test at build time
 	:
+#	xvfb-run -a -- dbus-launch dh_auto_test -Skf6

## kscreenlocker 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kscreenlocker (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:23 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
                libpam0g-dev,
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,

## kscreenlocker 6.5.3+p24.04+vunstable+git20251123.0120

=== debian/changelog ===
kscreenlocker (6.5.3+p24.04+vunstable+git20251123.0120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:20:19 +0000

kscreenlocker (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:51 +1000

kscreenlocker (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:06 +1000

## kscreenlocker 6.5.3+p24.04+vunstable+git20251201.0235

=== debian/changelog ===
kscreenlocker (6.5.3+p24.04+vunstable+git20251201.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:35:57 +0000

## kscreenlocker 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(kscreenlocker)
 set(CMAKE_C_STANDARD 99)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kscreenlocker (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:49 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
                libpam0g-dev,
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,

## kscreenlocker 6.5.4+p24.04+vstable+git20260103.0530

=== debian/changelog ===
kscreenlocker (6.5.4+p24.04+vstable+git20260103.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:30:21 +0000

kscreenlocker (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:08 +1000

## kscreenlocker 6.5.4+p24.04+vstable+git20260105.1054

=== debian/changelog ===
kscreenlocker (6.5.4+p24.04+vstable+git20260105.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:54:13 +0000
